<?php

/* Onpub (TM)
 * Copyright (C) 2009 Onpubco <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

if ($website->image) {
  en('<a href="index.php"><img src="' . addTrailingSlash($website->imagesURL) . $website->image->fileName . '" alt="' . $website->image->fileName .
    '" title="' . $website->image->description . '"></a>');
}
else {
  en('<a href="index.php">' . $website->name . '</a>');
}

en('<div id="onpubmenubar" class="yui-menu yui-menu-horizontal yui-menubuttonnav">');
en('<div class="yui-menu-content">');
en('<ul>');

$qo->includeArticles = true;
// Get the "Menu" section.
$menuLinks = $os->get(1, $qo);

if ($menuLinks) {
  $links = $menuLinks->articles;

  foreach ($links as $l) {
    if ($l->url) {
      $href = $l->url;
    }
    else {
      $href = 'index.php?articleID=' . $l->ID;
    }

    en('<li class="yui-menuitem">');
    en('<a class="yui-menuitem-content" href="' . $href . '">' . $l->title . '</a>');
    en('</li>');
  }

  $sections = $website->sections;

  foreach ($sections as $s) {
    en('<li>');
    en('<a class="yui-menu-label" href="index.php?sectionID=' . $s->ID . '"><em>' . $s->name . '</em></a>');
    en('<div class="yui-menu">');
    en('<div class="yui-menu-content">');
    en('<ul>');

    $articles = $s->articles;

    foreach ($articles as $a) {
      en('<li class="yui-menuitem"><a class="yui-menuitem-content" href="index.php?articleID='
        . $a->ID . '">' . $a->title . '</a></li>');
    }

    en('</ul>');
    en('</div>');
    en('</div>');
    en('</li>');
  }
}

en('</ul>');
en('</div>');
en('</div>');

?>